<%@ page extends="oneit.servlets.jsp.JSPInclude" %>

<%@ include file="/inc/stdimports50.jsp" %><%-- This is in cougar --%>
<%@ include file="/inc/stdcms.jsp" %><%-- This is in cougar --%>
<%@ include file="/extensions/performa/inc/stdimports.jsp" %>

<%
    Job     job             =   (Job) process.getAttribute("Job");
    String  pageNumber      =   (String)  getData(request, "PageNumber");
    String  firstPage       =   WebUtils.getSamePageInRenderMode(request, WebUtils.CREATE_JOB);
    String  secondPage      =   WebUtils.getSamePageInRenderMode(request, WebUtils.ASSESSMENT_CRITERIA);
    String  thirdPage       =   WebUtils.getSamePageInRenderMode(request, WebUtils.WORKPLACE_CULTURE);
//    String  fifthPage       =   WebUtils.getSamePageInRenderMode(request, WebUtils.JOB_REVIEW);
    boolean savedJob        =   job.getStatus() != ObjectStatus.NEW;
    boolean fromJobMatch    =   pageNumber == "1";
    boolean fromAssessment  =   pageNumber == "2";
    boolean fromCulture     =   pageNumber == "3";
%>


<oneit:dynIncluded>

    <div class="main-tab-form job-main-tabs">
        <ul class="nav nav-pills nav-justified">
            <li class="<%= pageNumber == "1" ? "active" : job.jobDetailsCompleted() ? "complate" : ""%>">
                <oneit:button   value=" "   name="processCulture" skin="link"
                                requestAttribs="<%= CollectionUtils.mapEntry("nextPage", firstPage)
                                                                .mapEntry("procParams", CollectionUtils.mapEntry("Job", job).toMap())
                                                                .mapEntry("fromJobMatch", fromJobMatch)
                                                                .mapEntry("fromAssessment", fromAssessment)
                                                                .mapEntry("fromCulture", fromCulture)
                                                                .toMap() %>">
                    <span><%=  job.jobDetailsCompleted() ? "<img src=\"images/right-mark.png\" />" : "1"%></span>
                    Job Detail
                </oneit:button>
            </li>
            <li class="<%= pageNumber == "2" ? "active" : job.jobAssessmentCompleted() ? "complate" : ""%>">
                <oneit:button   value=" "   name="processCulture" skin="link"
                                requestAttribs="<%= CollectionUtils.mapEntry("nextPage", secondPage)
                                                                .mapEntry("procParams", CollectionUtils.mapEntry("Job", job).toMap())
                                                                .mapEntry("fromJobMatch", fromJobMatch)
                                                                .mapEntry("fromAssessment", fromAssessment)
                                                                .mapEntry("fromCulture", fromCulture)
                                                                .toMap() %>">
                    <span><%= job.jobAssessmentCompleted() ? "<img src=\"images/right-mark.png\" />" : "2"%></span>
                    Requirements
                </oneit:button>
            </li>
            <li class="<%= pageNumber == "3" ? "active" :  job.cultureCriteriaCompleted() ? "complate" : ""%>">
                <oneit:button   value=" "   name="processCulture" skin="link"
                                requestAttribs="<%= CollectionUtils.mapEntry("nextPage", thirdPage)
                                                                .mapEntry("procParams", CollectionUtils.mapEntry("Job", job).toMap())
                                                                .mapEntry("fromJobMatch", fromJobMatch)
                                                                .mapEntry("fromAssessment", fromAssessment)
                                                                .mapEntry("fromCulture", fromCulture)
                                                                .toMap() %>">
                    <span><%= job.cultureCriteriaCompleted() ? "<img src=\"images/right-mark.png\" />" : "3"%></span>
                    Culture
                </oneit:button>
            </li>
        </ul>
    </div>
</oneit:dynIncluded>
